> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/rfa-almlfat-bastkhdam-wajhh-brmjh-ttbyqat-geopard.md).

# رفع الملفات باستخدام واجهة برمجة تطبيقات GeoPard

{% hint style="success" %}
النهج الموصى به للملفات التي تزيد عن 6 ميجابايت هو [تدفق عنوان URL الموقَّع مسبقًا](/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/55.-rfa-mlfat-mdhghwth-akbr-mn-6-myghabayt.md).
{% endhint %}

تتيح واجهة GeoPard API رفع أرشيفات zip تحتوي على مجموعات بيانات التربة/المردود/المُطبَّق/الحدود لمزيد من المعالجة والتحليلات.

{% hint style="danger" %}
بسبب أحد قيود AWS، الحد الأقصى لحجم الملف الذي يمكنك رفعه عبر نقطة نهاية REST هذه هو 6 ميجابايت.
{% endhint %}

تُوصَف خطوات رفع الملفات التي تزيد عن 6 ميجابايت في [رفع ملفات zip (أكثر من 6 ميجابايت)](/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/55.-rfa-mlfat-mdhghwth-akbr-mn-6-myghabayt.md).

فور الرفع الناجح لمجموعة بيانات التربة/المردود/المُطبَّق، يربطها محرك GeoPard بالحقول ذات الصلة الموجودة داخل المزرعة المحددة.

فور الرفع الناجح للحدود، يبدأ محرك GeoPard معالجتها.

يحتوي الرد على `<uuid>` يمكنك استخدامه لتتبع حالة المعالجة.

#### مثال على الطلب:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

المعلمات هي:

1. `<type>` - نوع مجموعة البيانات المرفوعة. يجب أن يكون `المردود` أو `التربة` أو `المُطبَّق` أو `الحدود`.
2. `<farm_uuid>` - `uuid` للمزرعة التي سيتم رفع الملف إليها (اختياري).
3. `<token>` - رمز وصول GeoPard.
4. `@path/to/file.zip` - مسار الملف الجاري رفعه.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/rfa-almlfat-bastkhdam-wajhh-brmjh-ttbyqat-geopard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
